Subject: bug#47115: Failure building grub-img.png when reconfiguring

From: Jack Hill <[email-masked]>
Date: Mon, 15 Mar 2021 22:40:00 -0400 (EDT)

I believe that I have identified the problematic difference in my 
operating system config between my working and non-working hosts. After 
applying the following patch to my operating system config (good and bad 
versions attatched), I was able to successfully reconfigure with guix 
8ec0ca8faff62f19426f22aeb1bd59a8950ca05a (I was able to reproduce the 
failure with that commit on another VM):

--- bad.scm	2021-03-15 22:36:36.000000001 -0400
+++ good.scm	2021-03-15 22:37:01.000000001 -0400
@@ -79,8 +79,6 @@
  			   (guix-service-type config =>
  					      (guix-configuration
  					       (inherit config)
-					       (extra-options
-						'("--disable-deduplication"))
  					       (authorized-keys
  						(cons
  						 (local-file "/home/jackhill/alperton-guix-key.pub")

I am forced to conclude that running the guix-daemon with deduplication 
disabled causes this build failure. Spooky!

Best,
Jack